#include "NeuralNetwork.hpp"

torch::Device NeuralNetworkImpl::device(torch::cuda::is_available() ? torch::kCUDA : torch::kCPU);

void NeuralNetworkImpl::setState(const std::string & state)
{
  this->state = state;
}

const std::string & NeuralNetworkImpl::getState() const
{
  return state;
}

